module namespace rh = "http://freescale.com/revision-history";

declare variable $rh:select-att-list := ('feature', 'audience', 'product', 'otherprops', 'platform');
declare variable $rh:bad-date := xs:date('1900-01-01');

(:  Adds select atts to an element (copied from $element)   :)
declare function rh:add-s-atts( $element as node() ) {
  $element/@*[name(.)=$rh:select-att-list]
};

(: form the output table header :)
declare function rh:thead ( $debug as xs:boolean ) {
  if ( $debug ) 
    then 
        <row>
            <entry>Date</entry>
            <entry>Site</entry>
            <entry>Person</entry>
            <entry>Description</entry>
        </row> 
    else 
        <row>
            <entry>Site</entry>
            <entry>Description</entry> 
        </row>
};

declare function rh:pick_cols ( $row as node(), $debug as xs:boolean ) {
  if ( $debug )
    then $row
    else <row>{ $row/entry[2], $row/entry[4] }</row>
};

declare function rh:show_hidden_row ( $row as node(), $message as xs:string ) {
  <row otherprops="{ $message }">
    { for $entry in $row/entry
        return $entry
    }
  </row>
};


(:
  <row>{ attribute "otherprops" { $message } }
:)



